PictureDescriptorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class PictureDescriptorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.EssenceDescriptorImpl
    - - tv.amwa.maj.model.impl.AAFFileDescriptorImpl
      - - tv.amwa.maj.model.impl.PictureDescriptorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QAAFFileDescriptor, MediaEntity, MetadataObject, AAFFileDescriptor, EssenceDescriptor, InterchangeObject, PictureDescriptor
  Direct Known Subclasses:
    CDCIDescriptorImpl, RGBADescriptorImpl

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=9984,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="PictureDescriptor",
                  aliases="DigitalImageDescriptor",
                  description="The DigitalImageDescriptor class specifies that a File SourcePackage is associated with video essence that is formatted either using RGBA or luminance/chrominance formatting.",
                  symbol="PictureDescriptor",
                  isConcrete=false)
      public class PictureDescriptorImpl
      extends AAFFileDescriptorImpl
      implements PictureDescriptor, PictureDescriptor, Serializable, Cloneable

  Implements the description of video content data formatted either using RGBA or luminance/chrominance formatting.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

    - ### Fields inherited from interface tv.amwa.maj.model.PictureDescriptor

      `ALPHATRANSPARENCY_DEFAULT, DISPLAYF2OFFSET_DEFAULT, IMAGEALIGNMENTFACTOR_DEFAULT, IMAGEENDOFFSET_DEFAULT, IMAGESTARTOFFSET_DEFAULT, STOREDF2OFFSET_DEFAULT, Uncompressed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PictureDescriptorImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areDisplayValuesPresent()` Returns whether this picture descriptor contains a display view.
    `boolean` | `areSampledValuesPresent()` Returns whether this picture descriptor contains a sample area values dimensions and offsets.
    `PictureDescriptor` | `clone()` Create a cloned copy of this interchange object.
    `byte` | `getActiveFormatDescriptor()` Returns the active format descriptor property for the picture descriptor, which specifies the desired framing of the content within the displayed image (4:3 in 16:9 etc.).
    `AlphaTransparencyType` | `getAlphaTransparency()` Returns the alpha transparency property of this picture descriptor, which specifies whether the minimum alpha value or the maximum alpha value indicates transparency.
    `AUID` | `getCodingEquations()` Returns the coding equations property of this picture descriptor, which specifies the coding equations to convert RGB image components to component color difference image components.
    `String` | `getCodingEquationsString()`
    `AUID` | `getColorPrimaries()` Returns the color primaries property for the picture descriptor.
    `String` | `getColorPrimariesString()`
    `int` | `getDataOffset()`
    `int` | `getDisplayF2Offset()` Returns the display field 2 offset property of this picture descriptor.
    `int` | `getDisplayHeight()` Returns the height component of the display view of the picture descriptor.
    `int[]` | `getDisplayView()` Returns the dimensions of the display view of this picture descriptor.
    `int` | `getDisplayWidth()` Returns the width component of the display view of the picture descriptor.
    `int` | `getDisplayXOffset()` Returns the X offset of the display view of the picture descriptor.
    `int` | `getDisplayYOffset()` Returns the Y offset of the display view of the picture descriptor.
    `FieldNumber` | `getFieldDominance()` Returns the field dominance property of this picture descriptor, which specifies whether field 1 or field 2 is dominant in images composed of two interlaced fields.
    `short` | `getFrameIndexByteOrder()`
    `LayoutType` | `getFrameLayout()` Returns the frame layout for this picture descriptor, which describes whether all data for a complete sample is in one frame or is split into more than one field.
    `int` | `getFrameSampleSize()`
    `int` | `getImageAlignmentFactor()` Sets the image alignment factor property of this picture descriptor, which specifies the alignment when storing the digital essence.
    `Rational` | `getImageAspectRatio()` Gets the image aspect ratio property of this picture descriptor, which describes the ratio between the horizontal size and the vertical size in the intended final image.
    `String` | `getImageAspectRatioString()`
    `int` | `getImageEndOffset()` Returns the field end offset property of this picture descriptor, which specifies the number of unused bytes at the end of each video field.
    `int` | `getImageSize()`
    `int` | `getImageStartOffset()` Returns the image start offset property of this picture descriptor, which specifies the number of unused bytes at the start of each video field.
    `AUID` | `getPictureCompression()` Returns the kind of compression and format of compression information of the video essence data described by this picture descriptor.
    `String` | `getPictureCompressionString()`
    `int` | `getResolutionID()`
    `int` | `getSampledHeight()` Returns the height component of the sampled view of this picture descriptor.
    `int[]` | `getSampledView()` Returns the dimensions of the sampled view of this picture descriptor.
    `int` | `getSampledWidth()` Returns the width component of the sampled view of this picture descriptor.
    `int` | `getSampledXOffset()` Returns the X offset component to the sampled view of this picture descriptor.
    `int` | `getSampledYOffset()` Returns the Y offset component to the sampled view of this picture descriptor.
    `SignalStandardType` | `getSignalStandard()` Returns the signal standard property of this picture descriptor.
    `int` | `getStoredF2Offset()` Returns the stored field 2 offset property of this picture descriptor, which specifies a topness adjustment for the stored picture.
    `int` | `getStoredHeight()` Returns the height component of the dimension of the complete stored view.
    `int[]` | `getStoredView()` Returns the dimension of the stored view of this picture descriptor.
    `int` | `getStoredWidth()` Returns the width component of the dimension of the complete stored view.
    `AUID` | `getTransferCharacteristic()` Returns the opto-electronic transfer characteristic of this digital image descriptor.
    `String` | `getTransferCharacteristicString()`
    `int[]` | `getVideoLineMap()` Returns the video line map property of this picture descriptor, which specifies the scan line in the analog source that corresponds to the beginning of each digitized field.
    `int` | `getVideoLineMapSize()` Returns the number of elements in the video line map property array of this picture descriptor.
    `static LayoutType` | `initializeFrameLayout()`
    `static Rational` | `initializeImageAspectRatio()`
    `static int` | `initializeStoredHeight()`
    `static int` | `initializeStoredWidth()`
    `static List<Integer>` | `initializeVideoLineMap()`
    `void` | `setActiveFormatDescriptor(Byte activeFormatDescriptor)` Sets the active format descriptor property for the picture descriptor, which specifies the desired framing of the content within the displayed image (4:3 in 16:9 etc.).
    `void` | `setAlphaTransparency(AlphaTransparencyType alphaTransparency)` Sets the alpha transparency property of this picture descriptor, which specifies whether the minimum alpha value or the maximum alpha value indicates transparency.
    `void` | `setCodingEquations(AUID codingEquations)` Sets the coding equations property of this picture descriptor, which specifies the coding equations to convert RGB image components to component color difference image components.
    `void` | `setCodingEquationsString(String codingEquations)`
    `void` | `setColorPrimaries(AUID colorPrimaries)` Sets the color primaries property for this picture descriptor.
    `void` | `setColorPrimariesString(String colorPrimaries)`
    `void` | `setDataOffset(Integer dataOffset)`
    `void` | `setDisplayF2Offset(Integer displayF2Offset)` Sets the display field 2 offset property of this picture descriptor.
    `void` | `setDisplayHeight(int displayHeight)`
    `void` | `setDisplayView(int displayHeight, int displayWidth, int displayXOffset, int displayYOffset)` Sets the dimension of display view of this picture descriptor.
    `void` | `setDisplayWidth(int displayWidth)`
    `void` | `setDisplayXOffset(int displayXOffset)`
    `void` | `setDisplayYOffset(int displayYOffset)`
    `void` | `setFieldDominance(FieldNumber fieldDominance)` Sets the field dominance property of this picture descriptor, which specifies whether field 1 or field 2 is dominant in images composed of two interlaced fields.
    `void` | `setFrameIndexByteOrder(Short frameIndexByteOrder)`
    `void` | `setFrameLayout(LayoutType frameLayout)` Sets the frame layout for this picture descriptor, which describes whether all data for a complete sample is in one frame or is split into more than one field.
    `void` | `setFrameSampleSize(Integer frameSampleSize)`
    `void` | `setImageAlignmentFactor(Integer imageAlignmentFactor)` Sets the image alignment factor property of this picture descriptor which specifies the alignment when storing the digital essence.
    `void` | `setImageAspectRatio(Rational imageAspectRatio)` Sets the image aspect ratio property of this picture descriptor, which describes the ratio between the horizontal size and the vertical size in the intended final image.
    `void` | `setImageAspectRatioString(String imageAspectRatio)`
    `void` | `setImageEndOffset(Integer imageEndOffset)` Sets the image end offset property of this picture descriptor, which specifies the number of unused bytes at the end of each video field.
    `void` | `setImageSize(Integer imageSize)`
    `void` | `setImageStartOffset(Integer imageStartOffset)` Sets the image start offset property of this picture descriptor, which specifies the number of unused bytes at the start of each video field.
    `void` | `setPictureCompression(AUID pictureCompression)` Sets the kind of compression and format of the compression information of the video essence data described by this picture descriptor.
    `void` | `setPictureCompressionString(String pictureCompressionString)`
    `void` | `setResolutionID(Integer resolutionID)`
    `void` | `setSampledHeight(int sampledHeight)`
    `void` | `setSampledView(int sampledHeight, int sampledWidth, int sampledXOffset, int sampledYOffset)` Sets the dimensions of the sampled view of this picture descriptor.
    `void` | `setSampledWidth(int sampledWidth)`
    `void` | `setSampledXOffset(int sampledXOffset)`
    `void` | `setSampledYOffset(int sampledYOffset)`
    `void` | `setSignalStandard(SignalStandardType signalStandard)` Sets the signal standard property of this picture descriptor, which specifies the underlying signal standard used to define the raster.
    `void` | `setStoredF2Offset(Integer storedF2Offset)` Sets the stored field 2 offset property of this picture descriptor, which specifies a topness adjustment for the stored picture.
    `void` | `setStoredHeight(int storedHeight)`
    `void` | `setStoredView(int storedHeight, int storedWidth)` Sets the dimension of the stored view of this picture descriptor.
    `void` | `setStoredWidth(int storedWidth)`
    `void` | `setTransferCharacteristic(AUID transferCharacteristic)` Sets the opto-electronic transfer characteristic of this digital image descriptor.
    `void` | `setTransferCharacteristicString(String transferCharacteristic)`
    `void` | `setVideoLineMap(int[] videoLineMap)` Sets the video line map property of this picture descriptor, which specifies the scan line in the analog source that corresponds to the beginning of each digitized field.
    `void` | `setVideoLineMap(List<Integer> videoLineMap)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.AAFFileDescriptorImpl

      `describesStaticEssence, getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, getSampleRateString, getTwentyFourBitAudio, initializeEssenceLength, initializeSampleRate, setCodec, setContainerFormat, setDescribesStaticEssence, setDescribesTimeVaryingEssence, setEssenceLength, setEssenceLengthFromStream, setLinkedTrackID, setSampleRate, setSampleRateFromStream, setSampleRateString, setTwentyFourBitAudio`

    - ### Methods inherited from class tv.amwa.maj.model.impl.EssenceDescriptorImpl

      `appendLocator, appendSubDescriptor, clearLocators, clearSubDescriptors, countLocators, countSubDescriptors, getComment, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### PictureDescriptorImpl

          public PictureDescriptorImpl()

  - ### Method Detail

    - #### getActiveFormatDescriptor

          @MediaProperty(uuid1=67175170,
                         uuid2=2304,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="ActiveFormatDescriptor",
                         typeName="UInt8",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12824,
                         symbol="ActiveFormatDescriptor")
          public byte getActiveFormatDescriptor()
                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the active format descriptor property for the picture descriptor, which specifies the desired framing of the content within the displayed image (4:3 in 16:9 etc.). The value exactly matches the active_format element defined by ETSI TS 102 154.

      This optional property is set to the default value of "unspecified" by omitting its value.

      Specified by:
        `getActiveFormatDescriptor` in interface `PictureDescriptor`
      Returns:
        Active format descriptor property for the picture descriptor.
      Throws:
        `PropertyNotPresentException` - The optional active format descriptor property is not present in this picture descriptor.

    - #### setActiveFormatDescriptor

          @MediaPropertySetter(value="ActiveFormatDescriptor")
          public void setActiveFormatDescriptor(Byte activeFormatDescriptor)
                                                                                              throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the active format descriptor property for the picture descriptor, which specifies the desired framing of the content within the displayed image (4:3 in 16:9 etc.). The value exactly matches the "active_format" element defined by ETSI TS 102 154.

      To omit this optional property, call this method with `null`. When the property is not present, it is considered to be the same as its default value of "unspecified".

      Specified by:
        `setActiveFormatDescriptor` in interface `PictureDescriptor`
      Parameters:
        `activeFormatDescriptor` - Active format descriptor property for this picture descriptor.
      Throws:
        `IllegalArgumentException` - The active format descriptor is a 4-bit value and cannot lie outside the range 0 to 15.

    - #### getAlphaTransparency

          @MediaProperty(uuid1=85983490,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="AlphaTransparency",
                         typeName="AlphaTransparencyType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12815,
                         symbol="AlphaTransparency")
          public AlphaTransparencyType getAlphaTransparency()

      Description copied from interface: `PictureDescriptor`

      Returns the alpha transparency property of this picture descriptor, which specifies whether the minimum alpha value or the maximum alpha value indicates transparency. This is an optional property and if the value is omitted, the default value of AlphaTransparencyType.MinValueTransparent is returned.

      Specified by:
        `getAlphaTransparency` in interface `PictureDescriptor`
      Returns:
        Alpha transparency orientation for this picture descriptor.
      See Also:
        `PictureDescriptor.ALPHATRANSPARENCY_DEFAULT`

    - #### setAlphaTransparency

          @MediaPropertySetter(value="AlphaTransparency")
          public void setAlphaTransparency(AlphaTransparencyType alphaTransparency)

      Description copied from interface: `PictureDescriptor`

      Sets the alpha transparency property of this picture descriptor, which specifies whether the minimum alpha value or the maximum alpha value indicates transparency. To omit this optional property, call this method with `null`.

      Specified by:
        `setAlphaTransparency` in interface `PictureDescriptor`
      Parameters:
        `alphaTransparency` - Alpha transparency orientation for this picture descriptor.
      See Also:
        `PictureDescriptor.ALPHATRANSPARENCY_DEFAULT`

    - #### getCodingEquations

          @MediaProperty(uuid1=67174913,
                         uuid2=259,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="CodingEquations",
                         typeName="CodingEquationsType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12826,
                         symbol="CodingEquations")
          public AUID getCodingEquations()
                                                                                                                                                                                                                                                                                                                                                                                                     throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the coding equations property of this picture descriptor, which specifies the coding equations to convert RGB image components to component color difference image components.

      The default value for this optional property is unspecified which is represented by this property being omitted.

      Specified by:
        `getCodingEquations` in interface `PictureDescriptor`
      Returns:
        Coding equations property of this picture descriptor.
      Throws:
        `PropertyNotPresentException` - The optional coding equations property is not present for this picture descriptor, indicating that it is unspecified.
      See Also:
        `CodingEquationsType`, `TypeDefinitions.ColorPrimariesType`

    - #### setCodingEquations

          @MediaPropertySetter(value="CodingEquations")
          public void setCodingEquations(AUID codingEquations)

      Description copied from interface: `PictureDescriptor`

      Sets the coding equations property of this picture descriptor, which specifies the coding equations to convert RGB image components to component color difference image components.

      The default value for this optional property is unspecified, which is represented by omitting this property. Setting the optional coding equations property to `null` will result in the property being omitted.

      Specified by:
        `setCodingEquations` in interface `PictureDescriptor`
      Parameters:
        `codingEquations` - Coding equations property of this picture descriptor.
      See Also:
        `CodingEquationsType`, `TypeDefinitions.ColorPrimariesType`

    - #### getColorPrimaries

          @MediaProperty(uuid1=67174913,
                         uuid2=262,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,9},
                         definedName="ColorPrimaries",
                         typeName="ColorPrimariesType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12825,
                         symbol="ColorPrimaries")
          public AUID getColorPrimaries()
                                                                                                                                                                                                                                                                                                                                                                                                 throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the color primaries property for the picture descriptor.

      This is an optional property and if the property is omitted it is assumed to be unspecified.

      Specified by:
        `getColorPrimaries` in interface `PictureDescriptor`
      Returns:
        Color primaries for this picture descriptor.
      Throws:
        `PropertyNotPresentException` - The optional color primaries property is not present for this picture descriptor, indicating that it is unspecified.
      See Also:
        `ColorPrimariesType`, `TypeDefinitions.ColorPrimariesType`

    - #### setColorPrimaries

          @MediaPropertySetter(value="ColorPrimaries")
          public void setColorPrimaries(AUID colorPrimaries)

      Description copied from interface: `PictureDescriptor`

      Sets the color primaries property for this picture descriptor.

      The default value for this property is unspecified, which is represented by omitting this property. Set this optional property to `null` to omit it.

      Specified by:
        `setColorPrimaries` in interface `PictureDescriptor`
      Parameters:
        `colorPrimaries` - Color primaries for the digiral image descriptor.
      See Also:
        `ColorPrimariesType`, `TypeDefinitions.ColorPrimariesType`

    - #### getPictureCompression

          @MediaProperty(uuid1=67175937,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="PictureCompression",
                         aliases={"Compression","DigitalImageDescriptorCompression","PictureEssenceCoding"},
                         typeName="AUID",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12801,
                         symbol="PictureCompression")
          public AUID getPictureCompression()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the kind of compression and format of compression information of the video essence data described by this picture descriptor. If the image data is uncompressed, a `PropertyNotPresentException` will be thrown.

      Specified by:
        `getPictureCompression` in interface `PictureDescriptor`
      Returns:
        Kind of compression and format of compression information of the video essence data.
      Throws:
        `PropertyNotPresentException` - The optional compression property is not present in this picture descriptor, indicating that the described image essence data is uncompressed.

    - #### setPictureCompression

          @MediaPropertySetter(value="PictureCompression")
          public void setPictureCompression(AUID pictureCompression)

      Description copied from interface: `PictureDescriptor`

      Sets the kind of compression and format of the compression information of the video essence data described by this picture descriptor. If there is no compression, set this optional property to `PictureDescriptor.Uncompressed` or `null`.

      Specified by:
        `setPictureCompression` in interface `PictureDescriptor`
      Parameters:
        `pictureCompression` - Kind of compression and format of the compression information of the video essence data, or `PictureDescriptor.Uncompressed` if the image is uncompressed.
      See Also:
        `PictureDescriptor.Uncompressed`

    - #### getDisplayF2Offset

          @MediaProperty(uuid1=67175170,
                         uuid2=1792,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="DisplayF2Offset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12823,
                         symbol="DisplayF2Offset")
          public int getDisplayF2Offset()

      Description copied from interface: `PictureDescriptor`

      Returns the display field 2 offset property of this picture descriptor. This value specifies a topness adjustment for the displayed picture. Valid values are 0 or 1.

      If this property value is omitted, its default value of 0 will be returned.

      Specified by:
        `getDisplayF2Offset` in interface `PictureDescriptor`
      Returns:
        Display field 2 offset property of this picture descriptor.
      See Also:
        `PictureDescriptor.DISPLAYF2OFFSET_DEFAULT`

    - #### setDisplayF2Offset

          @MediaPropertySetter(value="DisplayF2Offset")
          public void setDisplayF2Offset(Integer displayF2Offset)
                                                                                throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the display field 2 offset property of this picture descriptor. This value specifies a topness adjustment for the displayed picture. Valid values are 0 or 1.

      Set this optional property to `null` to omit its value. The default value of this property is 0.

      Specified by:
        `setDisplayF2Offset` in interface `PictureDescriptor`
      Parameters:
        `displayF2Offset` - Display field 2 offset property of this picture descriptor.
      Throws:
        `IllegalArgumentException` - The given display field 2 offset is not one of the valid values of 0 or 1.
      See Also:
        `PictureDescriptor.DISPLAYF2OFFSET_DEFAULT`

    - #### getDisplayView

          public int[] getDisplayView()

      Description copied from interface: `PictureDescriptor`

      Returns the dimensions of the display view of this picture descriptor. Typically, this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by the stored view.

      The value returned is an array of four integer values. The index of the values correspond to:

      - `0` - display height - Number of pixels in vertical dimension of display view.
      - `1` - display width - Number of pixels in horizontal dimension of display view.
      - `2` - display X offset - Number of pixels from top left corner of stored view.
      - `3` - display Y offset - Number of pixels from top left corner of stored view.

      The display view properties are either all present or all omitted. If the properties are omitted, the default value is returned which is an area equivalent to the stored view. To find out whether the display view properties are present, call `PictureDescriptor.areDisplayValuesPresent()`.

      Specified by:
        `getDisplayView` in interface `PictureDescriptor`
      Returns:
        Dimensions of the display view.
      See Also:
        `PictureDescriptor.getDisplayHeight()`, `PictureDescriptor.getDisplayWidth()`, `PictureDescriptor.getDisplayXOffset()`, `PictureDescriptor.getDisplayYOffset()`

    - #### setDisplayView

          public void setDisplayView(int displayHeight,
                                     int displayWidth,
                                     int displayXOffset,
                                     int displayYOffset)
                              throws IllegalPropertyValueException

      Description copied from interface: `PictureDescriptor`

      Sets the dimension of display view of this picture descriptor. Typically, this includes the active picture area, but excludes leading blank video lines and any VITC lines. The offset is specified relative to the rectangle specified by the stored view.

      All properties are optional and are set as follows:

      - `displayHeight` - The default value is the stored height, so use `getStoredView()[0]` to set the default value.
      - `displayWidth` - The default value is the stored width, so use `getStoredView()[1]` to set the default value.
      - `displayXOffset` - The default value is 0, so use 0 to select the default.
      - `displayYOffset` - The default value is 0, so use 0 to select the default.

      The display view values are either all present or all omitted. Calling this method successfully will mean display view values are present. To find out whether the display view properties are present, call `PictureDescriptor.areDisplayValuesPresent()`.

      Specified by:
        `setDisplayView` in interface `PictureDescriptor`
      Parameters:
        `displayHeight` - Number of pixels in vertical dimension of display view.
        `displayWidth` - Number of pixels in vertical dimension of display view.
        `displayXOffset` - Number of pixels from the top-left corner of the stored view.
        `displayYOffset` - Number pixels from the top-left corner of the stored view.
      Throws:
        `IllegalPropertyValueException` - The area specified by display width and display X offset properties is outside the stored view, or the area specified by display height and display Y offset properties is outside the stored view.

    - #### getDisplayHeight

          @MediaProperty(uuid1=67175681,
                         uuid2=2816,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="DisplayHeight",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12808,
                         symbol="DisplayHeight")
          public int getDisplayHeight()

      Description copied from interface: `PictureDescriptor`

      Returns the height component of the display view of the picture descriptor. Typically, this includes the active picture area, but excludes leading blank video lines and any VITC lines.

      Specified by:
        `getDisplayHeight` in interface `PictureDescriptor`
      Returns:
        Height component of the display view.
      See Also:
        `PictureDescriptor.getDisplayView()`

    - #### setDisplayHeight

          @MediaPropertySetter(value="DisplayHeight")
          public void setDisplayHeight(int displayHeight)
                                                                            throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getDisplayWidth

          @MediaProperty(uuid1=67175681,
                         uuid2=3072,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="DisplayWidth",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12809,
                         symbol="DisplayWidth")
          public int getDisplayWidth()

      Description copied from interface: `PictureDescriptor`

      Returns the width component of the display view of the picture descriptor.

      Specified by:
        `getDisplayWidth` in interface `PictureDescriptor`
      Returns:
        Width component of the display view.
      See Also:
        `PictureDescriptor.getDisplayView()`

    - #### setDisplayWidth

          @MediaPropertySetter(value="DisplayWidth")
          public void setDisplayWidth(int displayWidth)
                                                                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getDisplayXOffset

          @MediaProperty(uuid1=67175681,
                         uuid2=3328,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="DisplayXOffset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12810,
                         symbol="DisplayXOffset")
          public int getDisplayXOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the X offset of the display view of the picture descriptor. The offset is specified relative to the rectangle specified by the stored view.

      Specified by:
        `getDisplayXOffset` in interface `PictureDescriptor`
      Returns:
        X offset of the display view.
      See Also:
        `PictureDescriptor.getDisplayView()`, `PictureDescriptor.getStoredView()`

    - #### setDisplayXOffset

          @MediaPropertySetter(value="DisplayXOffset")
          public void setDisplayXOffset(int displayXOffset)

    - #### getDisplayYOffset

          @MediaProperty(uuid1=67175681,
                         uuid2=3584,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="DisplayYOffset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12811,
                         symbol="DisplayYOffset")
          public int getDisplayYOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the Y offset of the display view of the picture descriptor. The offset is specified relative to the rectangle specified by the stored view.

      Specified by:
        `getDisplayYOffset` in interface `PictureDescriptor`
      Returns:
        Y offset of the display view.
      See Also:
        `PictureDescriptor.getDisplayView()`, `PictureDescriptor.getStoredView()`

    - #### setDisplayYOffset

          @MediaPropertySetter(value="DisplayYOffset")
          public void setDisplayYOffset(int displayYOffset)

    - #### areDisplayValuesPresent

          public boolean areDisplayValuesPresent()

      Description copied from interface: `PictureDescriptor`

      Returns whether this picture descriptor contains a display view. A value of `true` indicates that display height, width, x-offset and y-offset values are present.

      Specified by:
        `areDisplayValuesPresent` in interface `PictureDescriptor`
      Returns:
        Does this picture descriptor contain display size and offset information?
      See Also:
        `PictureDescriptor.getDisplayView()`, `PictureDescriptor.setDisplayView(int, int, int, int)`

    - #### getFieldDominance

          @MediaProperty(uuid1=67175169,
                         uuid2=1536,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="FieldDominance",
                         typeName="FieldNumber",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12818,
                         symbol="FieldDominance")
          public FieldNumber getFieldDominance()
                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the field dominance property of this picture descriptor, which specifies whether field 1 or field 2 is dominant in images composed of two interlaced fields. This is an optional property with no default value.

      Specified by:
        `getFieldDominance` in interface `PictureDescriptor`
      Returns:
        Field dominance of this picture descriptor.
      Throws:
        `PropertyNotPresentException` - The optional field dominance property is not present for this picture descriptor.

    - #### setFieldDominance

          @MediaPropertySetter(value="FieldDominance")
          public void setFieldDominance(FieldNumber fieldDominance)

      Description copied from interface: `PictureDescriptor`

      Sets the field dominance property of this picture descriptor, which specifies whether field 1 or field 2 is dominant in images composed of two interlaced fields.

      This is an optional property with no default value. Call this method with `null` to omit this property.

      Specified by:
        `setFieldDominance` in interface `PictureDescriptor`
      Parameters:
        `fieldDominance` - Field dominance of this picture descriptor.

    - #### getImageEndOffset

          @MediaProperty(uuid1=68681987,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="ImageEndOffset",
                         aliases="FieldEndOffset",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12820,
                         symbol="ImageEndOffset")
          public int getImageEndOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the field end offset property of this picture descriptor, which specifies the number of unused bytes at the end of each video field.

      If this property value is omitted, its default value of `PictureDescriptor.IMAGEENDOFFSET_DEFAULT` will be returned.

      Specified by:
        `getImageEndOffset` in interface `PictureDescriptor`
      Returns:
        Field end offset property of this picture descriptor.
      See Also:
        `PictureDescriptor.IMAGEENDOFFSET_DEFAULT`

    - #### setImageEndOffset

          @MediaPropertySetter(value="ImageEndOffset")
          public void setImageEndOffset(Integer imageEndOffset)
                                                                              throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the image end offset property of this picture descriptor, which specifies the number of unused bytes at the end of each video field.

      Set this optional property to `null` to omit its value. The default value of this property is 0.

      Specified by:
        `setImageEndOffset` in interface `PictureDescriptor`
      Parameters:
        `imageEndOffset` - Image end offset property of this picture descriptor.
      Throws:
        `IllegalArgumentException` - Cannot set the image end offset to a negative value for this picture descriptor.
      See Also:
        `PictureDescriptor.IMAGEENDOFFSET_DEFAULT`

    - #### getImageStartOffset

          @MediaProperty(uuid1=68681986,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="ImageStartOffset",
                         aliases="FieldStartOffset",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12819,
                         symbol="ImageStartOffset")
          public int getImageStartOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the image start offset property of this picture descriptor, which specifies the number of unused bytes at the start of each video field.

      If this property value is omitted, its default value of 0 will be returned.

      Specified by:
        `getImageStartOffset` in interface `PictureDescriptor`
      Returns:
        Image start offset of this picture descriptor.
      See Also:
        `PictureDescriptor.IMAGESTARTOFFSET_DEFAULT`

    - #### setImageStartOffset

          @MediaPropertySetter(value="ImageStartOffset")
          public void setImageStartOffset(Integer imageStartOffset)
                                                                                  throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the image start offset property of this picture descriptor, which specifies the number of unused bytes at the start of each video field.

      Set this optional property to `null` to omit its value. The default value of this property is 0.

      Specified by:
        `setImageStartOffset` in interface `PictureDescriptor`
      Parameters:
        `imageStartOffset` - Image start offset of this picture descriptor.
      Throws:
        `IllegalArgumentException` - The given image start offset is negative.
      See Also:
        `PictureDescriptor.IMAGESTARTOFFSET_DEFAULT`

    - #### getFrameLayout

          @MediaProperty(uuid1=67175169,
                         uuid2=1024,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="FrameLayout",
                         typeName="LayoutType",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=12812,
                         symbol="FrameLayout")
          public LayoutType getFrameLayout()

      Description copied from interface: `PictureDescriptor`

      Returns the frame layout for this picture descriptor, which describes whether all data for a complete sample is in one frame or is split into more than one field.

      Specified by:
        `getFrameLayout` in interface `PictureDescriptor`
      Returns:
        Frame layout for the picture descriptor.

    - #### setFrameLayout

          @MediaPropertySetter(value="FrameLayout")
          public void setFrameLayout(LayoutType frameLayout)
                                                                        throws NullPointerException

      Description copied from interface: `PictureDescriptor`

      Sets the frame layout for this picture descriptor, which describes whether all data for a complete sample is in one frame or is split into more than one field.

      Specified by:
        `setFrameLayout` in interface `PictureDescriptor`
      Parameters:
        `frameLayout` - Frame layout for the picture descriptor.
      Throws:
        `NullPointerException` - The given frame layout is `null`.

    - #### initializeFrameLayout

          public static final LayoutType initializeFrameLayout()

    - #### getImageAlignmentFactor

          @MediaProperty(uuid1=68681985,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="ImageAlignmentFactor",
                         aliases="ImageAlignmentOffset",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12817,
                         symbol="ImageAlignmentFactor")
          public int getImageAlignmentFactor()

      Description copied from interface: `PictureDescriptor`

      Sets the image alignment factor property of this picture descriptor, which specifies the alignment when storing the digital essence.

      For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

      This property is optional and the default value of 1 will be returned if it is currently omitted.

      Specified by:
        `getImageAlignmentFactor` in interface `PictureDescriptor`
      Returns:
        Image alignment factor of this picture descriptor.

    - #### setImageAlignmentFactor

          @MediaPropertySetter(value="ImageAlignmentFactor")
          public void setImageAlignmentFactor(Integer imageAlignmentFactor)
                                                                                          throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the image alignment factor property of this picture descriptor which specifies the alignment when storing the digital essence.

      For example, a value of 16 means that the image is stored on 16-byte boundaries. The starting point for a field will always be a multiple of 16 bytes. If the field does not end on a 16-byte boundary, it is padded out to the next 16-byte boundary.

      Set this optional property to `null` to omit the property. The default value of this property is 1.

      Specified by:
        `setImageAlignmentFactor` in interface `PictureDescriptor`
      Parameters:
        `imageAlignmentFactor` - Image alignment factor of this picture descriptor.
      Throws:
        `IllegalArgumentException` - Cannot set the image alignment factor to a negative value for this picture descriptor.

    - #### getImageAspectRatio

          @MediaProperty(uuid1=67174657,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="ImageAspectRatio",
                         aliases="AspectRatio",
                         typeName="Rational",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=12814,
                         symbol="ImageAspectRatio")
          public Rational getImageAspectRatio()

      Description copied from interface: `PictureDescriptor`

      Gets the image aspect ratio property of this picture descriptor, which describes the ratio between the horizontal size and the vertical size in the intended final image.

      Specified by:
        `getImageAspectRatio` in interface `PictureDescriptor`
      Returns:
        Ratio between horizontal and vertical size of the intended final image.

    - #### setImageAspectRatio

          @MediaPropertySetter(value="ImageAspectRatio")
          public void setImageAspectRatio(Rational imageAspectRatio)
                                                                                  throws NullPointerException

      Description copied from interface: `PictureDescriptor`

      Sets the image aspect ratio property of this picture descriptor, which describes the ratio between the horizontal size and the vertical size in the intended final image.

      Specified by:
        `setImageAspectRatio` in interface `PictureDescriptor`
      Parameters:
        `imageAspectRatio` - Ratio between horizontal and vertical size of the intended final image.
      Throws:
        `NullPointerException` - The given image aspect ratio is `null`.

    - #### initializeImageAspectRatio

          public static final Rational initializeImageAspectRatio()

    - #### getSampledView

          public int[] getSampledView()

      Description copied from interface: `PictureDescriptor`

      Returns the dimensions of the sampled view of this picture descriptor. Typically, this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by the stored view.

      The value returned is an array of four integer values. The index of the values correspond to:

      - `0` - sampled height - Number of pixels in vertical dimension of sampled view.
      - `1` - sampled width - Number of pixels in horizontal dimension of sampled view.
      - `2` - sampled X offset - Number of pixels from top left corner of stored view.
      - `3` - sampled Y offset - Number of pixels from top left corner of stored view.

      The sampled view properties are either all present or all omitted. If the properties are omitted, the default value is returned which is an area equivalent to the stored view. To find out whether the sampled view properties are present, call `PictureDescriptor.areSampledValuesPresent()`.

      Specified by:
        `getSampledView` in interface `PictureDescriptor`
      Returns:
        Dimensions of the sampled view.
      See Also:
        `PictureDescriptor.getSampledHeight()`, `PictureDescriptor.getSampledWidth()`, `PictureDescriptor.getSampledXOffset()`, `PictureDescriptor.getSampledYOffset()`

    - #### setSampledView

          public void setSampledView(int sampledHeight,
                                     int sampledWidth,
                                     int sampledXOffset,
                                     int sampledYOffset)
                              throws IllegalPropertyValueException

      Description copied from interface: `PictureDescriptor`

      Sets the dimensions of the sampled view of this picture descriptor. Typically, this includes any VITC lines as well as the active picture area, but excludes leading blank video lines. The offset is specified relative to the rectangle specified by the stored view.

      All properties are optional and are set as follows:

      - `sampledHeight` - The default value is the stored height, so use `getStoredView()[0]` to set the default value.
      - `sampledWidth` - The default value is the stored width, so use `getStoredView()[1]` to set the default value.
      - `displayXOffset` - The default value is 0, so use 0 to select the default.
      - `displayYOffset` - The default value is 0, so use 0 to select the default.

      The sampled view values are either all present or all omitted. Calling this method will mean sampled view values are present. To find out whether the sampled view properties are present, call `PictureDescriptor.areSampledValuesPresent()`.

      Specified by:
        `setSampledView` in interface `PictureDescriptor`
      Parameters:
        `sampledHeight` - Number of pixels in vertical dimension of sampled view.
        `sampledWidth` - Number of pixels in horizontal dimension of sampled view.
        `sampledXOffset` - Number of pixels from top left corner of the stored view.
        `sampledYOffset` - Number of pixels from top left corner of the stored view.
      Throws:
        `IllegalPropertyValueException` - The area specified by the sampled width and sampled X offset is outside the stored view, or the area specified by the sampled height and sampled Y offset is outside the stored view.

    - #### getSampledHeight

          @MediaProperty(uuid1=67175681,
                         uuid2=1792,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="SampledHeight",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12804,
                         symbol="SampledHeight")
          public int getSampledHeight()

      Description copied from interface: `PictureDescriptor`

      Returns the height component of the sampled view of this picture descriptor. Typically, this includes any VITC lines as well as the active picture area, but excludes leading blank video lines.

      Specified by:
        `getSampledHeight` in interface `PictureDescriptor`
      Returns:
        Height component of the sampled view.
      See Also:
        `PictureDescriptor.getSampledView()`

    - #### setSampledHeight

          @MediaPropertySetter(value="SampledHeight")
          public void setSampledHeight(int sampledHeight)
                                                                            throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getSampledWidth

          @MediaProperty(uuid1=67175681,
                         uuid2=2048,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="SampledWidth",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12805,
                         symbol="SampledWidth")
          public int getSampledWidth()

      Description copied from interface: `PictureDescriptor`

      Returns the width component of the sampled view of this picture descriptor.

      Specified by:
        `getSampledWidth` in interface `PictureDescriptor`
      Returns:
        Width component of the sampled view.
      See Also:
        `PictureDescriptor.getSampledView()`

    - #### setSampledWidth

          @MediaPropertySetter(value="SampledWidth")
          public void setSampledWidth(int sampledWidth)
                                                                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getSampledXOffset

          @MediaProperty(uuid1=67175681,
                         uuid2=2304,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="SampledXOffset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12806,
                         symbol="SampledXOffset")
          public int getSampledXOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the X offset component to the sampled view of this picture descriptor. The offset is specified relative to the rectangle specified by the stored view.

      Specified by:
        `getSampledXOffset` in interface `PictureDescriptor`
      Returns:
        X offset component to the sampled view.
      See Also:
        `PictureDescriptor.getSampledView()`, `PictureDescriptor.getStoredView()`

    - #### setSampledXOffset

          @MediaPropertySetter(value="SampledXOffset")
          public void setSampledXOffset(int sampledXOffset)

    - #### getSampledYOffset

          @MediaProperty(uuid1=67175681,
                         uuid2=2560,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="SampledYOffset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12807,
                         symbol="SampledYOffset")
          public int getSampledYOffset()

      Description copied from interface: `PictureDescriptor`

      Returns the Y offset component to the sampled view of this picture descriptor. The offset is specified relative to the rectangle specified by the stored view.

      Specified by:
        `getSampledYOffset` in interface `PictureDescriptor`
      Returns:
        Y offset component to the sampled view.
      See Also:
        `PictureDescriptor.getSampledView()`, `PictureDescriptor.getStoredView()`

    - #### setSampledYOffset

          @MediaPropertySetter(value="SampledYOffset")
          public void setSampledYOffset(int sampledYOffset)

    - #### areSampledValuesPresent

          public boolean areSampledValuesPresent()

      Description copied from interface: `PictureDescriptor`

      Returns whether this picture descriptor contains a sample area values dimensions and offsets. A value of `true` indicates that sampled height, width, x-offset and y-offset values are present.

      Specified by:
        `areSampledValuesPresent` in interface `PictureDescriptor`
      Returns:
        Does this picture descriptor contain sample area values and dimensions?
      See Also:
        `PictureDescriptor.getSampledView()`, `PictureDescriptor.setSampledView(int, int, int, int)`

    - #### getSignalStandard

          @MediaProperty(uuid1=67436819,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="SignalStandard",
                         typeName="SignalStandardType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12821,
                         symbol="SignalStandard")
          public SignalStandardType getSignalStandard()
                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the signal standard property of this picture descriptor. This property specifies the underlying signal standard used to define the raster.

      The default value for this property is unspecified, which is represented by omitting this property.

      Specified by:
        `getSignalStandard` in interface `PictureDescriptor`
      Returns:
        Signal standard property of this picture descriptor.
      Throws:
        `PropertyNotPresentException` - The optional signal standard property is not present for this picture descriptor, indicating that it is unspecified.
      See Also:
        `SignalStandardType`

    - #### setSignalStandard

          @MediaPropertySetter(value="SignalStandard")
          public void setSignalStandard(SignalStandardType signalStandard)

      Description copied from interface: `PictureDescriptor`

      Sets the signal standard property of this picture descriptor, which specifies the underlying signal standard used to define the raster.

      The default value for signal standard property is unspecified, which is represented by omitting this property. Set this optional property to `null` to omit it.

      Specified by:
        `setSignalStandard` in interface `PictureDescriptor`
      Parameters:
        `signalStandard` - Signal standard property of this picture descriptor.

    - #### getStoredF2Offset

          @MediaProperty(uuid1=67175170,
                         uuid2=2048,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="StoredF2Offset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12822,
                         symbol="StoredF2Offset")
          public int getStoredF2Offset()

      Description copied from interface: `PictureDescriptor`

      Returns the stored field 2 offset property of this picture descriptor, which specifies a topness adjustment for the stored picture. Valid values are 0 or -1.

      This is an optional property and if it is omitted, the default value of 0 will be returned.

      Specified by:
        `getStoredF2Offset` in interface `PictureDescriptor`
      Returns:
        Stored field 2 offset property of this digital image descriptor.
      See Also:
        `PictureDescriptor.STOREDF2OFFSET_DEFAULT`

    - #### setStoredF2Offset

          @MediaPropertySetter(value="StoredF2Offset")
          public void setStoredF2Offset(Integer storedF2Offset)
                                                                              throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the stored field 2 offset property of this picture descriptor, which specifies a topness adjustment for the stored picture. Valid values are 0 or -1.

      Set this optional property to `null` to omit its value. The default value of this property is 0.

      Specified by:
        `setStoredF2Offset` in interface `PictureDescriptor`
      Parameters:
        `storedF2Offset` - Stored field 2 offset property of this digital image descriptor.
      Throws:
        `IllegalArgumentException` - The given stored field 2 offset is not one of the valid values of 0 or -1.
      See Also:
        `PictureDescriptor.STOREDF2OFFSET_DEFAULT`

    - #### getStoredView

          public int[] getStoredView()

      Description copied from interface: `PictureDescriptor`

      Returns the dimension of the stored view of this picture descriptor. Typically, this includes leading blank video lines, any VITC lines, as well as the active picture area.

      The value returned is an array of two integer values. The first element of the array (index 0) contains the stored height and the second element of the array (index 1) contains the stored width.

      Specified by:
        `getStoredView` in interface `PictureDescriptor`
      Returns:
        Dimension of the stored view.
      See Also:
        `PictureDescriptor.getStoredHeight()`, `PictureDescriptor.getStoredWidth()`

    - #### setStoredView

          public void setStoredView(int storedHeight,
                                    int storedWidth)
                             throws IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the dimension of the stored view of this picture descriptor. Typically, this includes leading blank video lines, any VITC lines, as well as the active picture area.

      Specified by:
        `setStoredView` in interface `PictureDescriptor`
      Parameters:
        `storedHeight` - Number of pixels in vertical dimension of stored view.
        `storedWidth` - Number of pixels in horizontal dimension of stored view.
      Throws:
        `IllegalArgumentException` - One or both of the given stored width and height properties is/are negative, which is not permitted.

    - #### getStoredHeight

          @MediaProperty(uuid1=67175682,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="StoredHeight",
                         typeName="UInt32",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=12802,
                         symbol="StoredHeight")
          public int getStoredHeight()

      Description copied from interface: `PictureDescriptor`

      Returns the height component of the dimension of the complete stored view. Typically, this includes leading blank video lines, any VITC lines, as well as the active picture area.

      Specified by:
        `getStoredHeight` in interface `PictureDescriptor`
      Returns:
        Height component of the complete stored view.
      See Also:
        `PictureDescriptor.getStoredView()`

    - #### setStoredHeight

          @MediaPropertySetter(value="StoredHeight")
          public void setStoredHeight(int storedHeight)
                                                                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### initializeStoredHeight

          public static final int initializeStoredHeight()

    - #### getStoredWidth

          @MediaProperty(uuid1=67175682,
                         uuid2=512,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="StoredWidth",
                         typeName="UInt32",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=12803,
                         symbol="StoredWidth")
          public int getStoredWidth()

      Description copied from interface: `PictureDescriptor`

      Returns the width component of the dimension of the complete stored view.

      Specified by:
        `getStoredWidth` in interface `PictureDescriptor`
      Returns:
        Width component of the complete stored view.
      See Also:
        `PictureDescriptor.getStoredView()`

    - #### setStoredWidth

          @MediaPropertySetter(value="StoredWidth")
          public void setStoredWidth(int storedWidth)
                                                                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### initializeStoredWidth

          public static final int initializeStoredWidth()

    - #### getTransferCharacteristic

          @MediaProperty(uuid1=67174913,
                         uuid2=257,
                         uuid3=512,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TransferCharacteristic",
                         aliases="Gamma",
                         typeName="TransferCharacteristicType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=12816,
                         symbol="TransferCharacteristic")
          public AUID getTransferCharacteristic()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                 throws PropertyNotPresentException

      Description copied from interface: `PictureDescriptor`

      Returns the opto-electronic transfer characteristic of this digital image descriptor. If this optional property is omitted, the opto-electronic characteristic is unspecified.

      Specified by:
        `getTransferCharacteristic` in interface `PictureDescriptor`
      Returns:
        Opto-electronic transfer characteristic of this digital image descriptor.
      Throws:
        `PropertyNotPresentException` - The optional opto-electronic characteristic of this picture descriptor is not present and so is unspecified.
      See Also:
        `TransferCharacteristicType`, `TypeDefinitions.TransferCharacteristicType`

    - #### setTransferCharacteristic

          @MediaPropertySetter(value="TransferCharacteristic")
          public void setTransferCharacteristic(AUID transferCharacteristic)

      Description copied from interface: `PictureDescriptor`

      Sets the opto-electronic transfer characteristic of this digital image descriptor.

      The default value for the transfer characteristic property is unspecified, which is represented by this property being omitted. If this method is called with a `null` value, the this optional property is omitted.

      Specified by:
        `setTransferCharacteristic` in interface `PictureDescriptor`
      Parameters:
        `transferCharacteristic` - Opto-electronic transfer characteristic of the picture descriptor.
      See Also:
        `TransferCharacteristicType`, `TypeDefinitions.TransferCharacteristicType`

    - #### getVideoLineMap

          @MediaProperty(uuid1=67175170,
                         uuid2=1280,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="VideoLineMap",
                         typeName="Int32Array",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=12813,
                         symbol="VideoLineMap")
          public int[] getVideoLineMap()

      Description copied from interface: `PictureDescriptor`

      Returns the video line map property of this picture descriptor, which specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

      Specified by:
        `getVideoLineMap` in interface `PictureDescriptor`
      Returns:
        Video line map property of this picture descriptor.

    - #### setVideoLineMap

          public void setVideoLineMap(int[] videoLineMap)
                               throws NullPointerException,
                                      IllegalArgumentException

      Description copied from interface: `PictureDescriptor`

      Sets the video line map property of this picture descriptor, which specifies the scan line in the analog source that corresponds to the beginning of each digitized field. For single-field video, there is 1 value in the array. For interleaved video, there are 2 values in the array.

      Specified by:
        `setVideoLineMap` in interface `PictureDescriptor`
      Parameters:
        `videoLineMap` - Video line map for the picture descriptor.
      Throws:
        `NullPointerException` - The given video line map is `null`.
        `IllegalArgumentException` - The size of the video line map must be 1 or 2 for this picture descriptor.

    - #### setVideoLineMap

          @MediaPropertySetter(value="VideoLineMap")
          public void setVideoLineMap(List<Integer> videoLineMap)
                                                                          throws NullPointerException,
                                                                                 IllegalArgumentException

      Throws:
        `NullPointerException`
        `IllegalArgumentException`

    - #### initializeVideoLineMap

          public static final List<Integer> initializeVideoLineMap()

    - #### getVideoLineMapSize

          @MediaPropertyCount(value="VideoLineMap")
          public int getVideoLineMapSize()

      Description copied from interface: `PictureDescriptor`

      Returns the number of elements in the video line map property array of this picture descriptor.

      Specified by:
        `getVideoLineMapSize` in interface `PictureDescriptor`
      Returns:
        Number of elements in the video line map property array.
      See Also:
        `PictureDescriptor.getVideoLineMap()`

    - #### clone

          public PictureDescriptor clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `PictureDescriptor`
      Overrides:
        `clone` in class `AAFFileDescriptorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getDataOffset

          @MediaProperty(uuid1=-1075936796,
                         uuid2=-17208,
                         uuid3=19133,
                         uuid4={-88,14,33,77,-64,-15,70,-124},
                         definedName="DataOffset",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="DataOffset",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @Int32
          public int getDataOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setDataOffset

          @MediaPropertySetter(value="DataOffset")
          public void setDataOffset(@Int32
                                                                             Integer dataOffset)

    - #### getFrameIndexByteOrder

          @MediaProperty(uuid1=-1249996195,
                         uuid2=5901,
                         uuid3=4564,
                         uuid4={-96,-113,0,96,-108,-21,117,-53},
                         definedName="FrameIndexByteOrder",
                         typeName="UInt16",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="FrameIndexByteOrder",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @UInt16
          public short getFrameIndexByteOrder()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setFrameIndexByteOrder

          @MediaPropertySetter(value="FrameIndexByteOrder")
          public void setFrameIndexByteOrder(@UInt16
                                                                                               Short frameIndexByteOrder)
                                                                                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getFrameSampleSize

          @MediaProperty(uuid1=-836056496,
                         uuid2=20907,
                         uuid3=4563,
                         uuid4={-96,36,0,96,-108,-21,117,-53},
                         definedName="FrameSampleSize",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="FrameSampleSize",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @Int32
          public int getFrameSampleSize()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setFrameSampleSize

          @MediaPropertySetter(value="FrameSampleSize")
          public void setFrameSampleSize(@Int32
                                                                                       Integer frameSampleSize)

    - #### getImageSize

          @MediaProperty(uuid1=-836056497,
                         uuid2=20907,
                         uuid3=4563,
                         uuid4={-96,36,0,96,-108,-21,117,-53},
                         definedName="ImageSize",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="ImageSize",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @Int32
          public int getImageSize()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setImageSize

          @MediaPropertySetter(value="ImageSize")
          public void setImageSize(@Int32
                                                                           Integer imageSize)

    - #### getResolutionID

          @MediaProperty(uuid1=-836056499,
                         uuid2=20907,
                         uuid3=4563,
                         uuid4={-96,36,0,96,-108,-21,117,-53},
                         definedName="ResolutionID",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="ResolutionID",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @Int32
          public int getResolutionID()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setResolutionID

          @MediaPropertySetter(value="ResolutionID")
          public void setResolutionID(@Int32
                                                                                 Integer resolutionID)

    - #### getCodingEquationsString

          public String getCodingEquationsString()

    - #### setCodingEquationsString

          public void setCodingEquationsString(String codingEquations)

    - #### getColorPrimariesString

          public String getColorPrimariesString()

    - #### setColorPrimariesString

          public void setColorPrimariesString(String colorPrimaries)

    - #### getImageAspectRatioString

          public String getImageAspectRatioString()

    - #### setImageAspectRatioString

          public void setImageAspectRatioString(String imageAspectRatio)

    - #### getTransferCharacteristicString

          public String getTransferCharacteristicString()

    - #### setTransferCharacteristicString

          public void setTransferCharacteristicString(String transferCharacteristic)

    - #### getPictureCompressionString

          public String getPictureCompressionString()

    - #### setPictureCompressionString

          public void setPictureCompressionString(String pictureCompressionString)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.